%define lumadata %{_datadir}/luma
%define lumalib %{lumadata}/lib
%define plugins %{lumalib}/plugins

Name:		luma
Version:	2.4
Release: 	1%{?dist}
Summary:	A graphical tool for managing LDAP servers

Group:		Applications/System
License:	GPLv2
URL:		http://www.sourceforge.net/projects/luma
Source0:	http://prdownloads.sourceforge.net/luma/luma-%{version}.tar.bz2
Source1:	luma.desktop
Patch1:		luma-2.3-plugins.patch
Patch3:		luma-2.4-extspc.patch

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	python >= 2.3
BuildRequires:	PyQt >= 3.10
BuildRequires:	python-ldap >= 2.3
BuildRequires:	python-smbpasswd
BuildRequires:	desktop-file-utils

Requires:	python >= 2.3
Requires:	PyQt >= 3.10
Requires:	python-ldap >= 2.3
Requires:	python-smbpasswd
Requires:	desktop-file-utils

%description
Luma - a graphical tool for accessing and managing LDAP 
servers. It is written in Python, using PyQt and python-ldap. 
Plugin-support is included and useful widgets with LDAP-
functionality for easy creation of plugins are delivered.

%prep
%setup -q -n %{name}-%{version}
%patch1 -p1 
%patch3 -p1 

%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}
./install.py --prefix=$RPM_BUILD_ROOT%{_prefix}

mkdir -p ${RPM_BUILD_ROOT}/%{_datadir}/icons

pushd ${RPM_BUILD_ROOT}/%{_prefix}/lib
mv luma ${RPM_BUILD_ROOT}/%{_datadir}/luma/lib
popd

pushd ${RPM_BUILD_ROOT}/%{_bindir}
ln -sf ../share/luma/lib/luma.py luma
popd
 
cp share/luma/icons/luma-64.png ${RPM_BUILD_ROOT}/%{_datadir}/icons/

# Desktop entry for luma-settings
desktop-file-install --vendor fedora \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications/ \
	--add-category System \
	--add-category Application \
	%{SOURCE1}

for i in 22 32 48 ; do # 16, 64, 128 do not have transparent bg...
  d=$RPM_BUILD_ROOT%{_datadir}/icons/hicolor/${i}x${i}/apps
  install -dm 755 $d
  ln -s ../../../../luma/icons/luma-$i.png $d/luma.png
done

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/luma
%dir %{lumadata}

%{lumalib}/ 

%{lumadata}/doc/
%{lumadata}/icons/

%dir %{lumadata}/i18n/
%lang(br) %{lumadata}/i18n/*br.*
%lang(cs) %{lumadata}/i18n/*cs.*
%lang(de) %{lumadata}/i18n/*de.*
%lang(en) %{lumadata}/i18n/gb.png
%lang(es) %{lumadata}/i18n/*es.*
%lang(fr) %{lumadata}/i18n/*fr.*
# %lang(it) %{lumadata}/i18n/*it.*
%lang(no) %{lumadata}/i18n/*no*
%lang(ru) %{lumadata}/i18n/*ru.*
%lang(sv) %{lumadata}/i18n/*sv.*

%{_datadir}/applications/fedora-luma.desktop
%{_datadir}/icons/luma-*.png
%{_datadir}/icons/hicolor/*/apps/*.png

%{_mandir}/man1/luma.1.gz

%doc LICENSE


%changelog
* Thu Feb 28 2008 Jochen Schmitt <Jochen herr-schmitt de> 2.4-1
- New upstream release

* Wed Jan 23 2008 Jochen Schmitt <Jochen herr-schmitt de> 2.3-14
- Rebuild

* Wed Aug  8 2007 Jochen Schmitt <Jochen herr-schmitt de> 2.3-13
- Changing license tag

* Tue Jun 12 2007 Jochen Schmitt <Jochen herr-schmitt de> 2.3-12
- Requires python-ldap-2.3 when using python-2.5 (#221167)

* Mon May 28 2007 Jochen Schmitt <Jochen herr-schmitt de> 2.3-10
- Add extranouse spaces in menu choices (#241050)

* Sun Mar 11 2007 Jochen Schmitt <Jochen herr-schmitt de> 2.3-9
- Add SMD5-patchno (#228269)

* Mon Oct 16 2006 Jochen Schmitt <Jochen herr-schmitt de> 2.3-8
- Fix x64 problem

* Sun Oct 15 2006 Jochen Schmitt <Jochen herr-schmitt de> 2.3-7
- Fix plugin loading problem

* Mon Oct  9 2006 Jochen Schmitt <Jochen herr-schmitt de> 2.3-6
- Some changes on the desktop file.

* Thu Aug 10 2006 Jochen Schmitt <Jochen herr-schmitt de> 2.3-5
- Remove %%ghost becouse new packaging guidelines.

* Wed Aug  9 2006 Jochen Schmitt <Jochen herr-schmitt de> 2.3-4
- Move python files to %%{_datadir}/luma/lib

* Wed Jul 26 2006 Jochen Schmitt <Jochen herr-schmitt de> 2.3-3
- Add Requires
c- Add %%lang before language specific files
- Change versioning schema to upstream

* Tue Jul 25 2006 Jochen Schmitt <Jochen herr-schmitt de> 2.3.0-1
- Initial RPM
